# get_report

A run's report as a link to HTML, JUnit or JSON.

A run's report as a link to HTML, JUnit or JSON.

| | |
|---|---|
| REST operation | [`getReport`](/reference/rest/runs/#getreport) (`GET /v1/runs/{runId}/report`) |
| Needs a device | no |
| Read only | yes |
| Profiles | `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `run_id` | yes | string | path `runId` |  |
| `format` | no | `html`, `junit`, `json` | query `format` |  |

## Example call

```text
get_report({ run_id: … })
```